all:
	pdc --skip-unknown src BatterUp.pdx

assets:
	lua lib/preprocess-cl.lua src/assets.lua2p

check: assets
	stylua -c --indent-type Spaces src/
	luacheck -d --codes src/ --exclude-files src/test/

test: check
	(cd src; find ./test -name '*lua' | xargs -L1 lua)

lint:
	stylua --indent-type Spaces src/
